Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 520866

Summary: app-crypt/johntheripper-1.7.9-r9 with nvidia-cuda-sdk-6.5.14 - nvcc fatal : Value 'sm_10' is not defined for option 'gpu-architecture'
Product: Gentoo Linux Reporter: Yarda <zbox>
Component: Current packagesAssignee: Rick Farina (Zero_Chaos) <zerochaos>
Status: CONFIRMED ---    
Severity: normal CC: alex.iris.parker, crypto+disabled, jlec, marius.brehler+gentoo
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build-log.txt.bz2

Description Yarda 2014-08-25 20:21:39 UTC
Nvidia dropped sm_10 architecture in their nvidia-cuda-sdk-6.5.14 (see http://docs.nvidia.com/cuda/cuda-toolkit-release-notes/#deprecated-features) so johntheripper doesn't compile with cuda USE flag. You need to use sm_20 fo Fermi or later architecture with nvidia-cuda-sdk-6.5* and sm_10 for <nvidia-cuda-sdk-6.5*. Or maybe better use compute_X0 instead of sm_X0.

Reproducible: Always

Steps to Reproduce:
1. Set USE flag cuda
2. emerge nvidia-cuda-sdk-6.5.14
3. emerge johntheripper
Actual Results:  
nvcc fatal   : Value 'sm_10' is not defined for option 'gpu-architecture' 

Expected Results:  
No error.

Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.19-r1, 3.14.14-gentoo x86_64)
=================================================================
System uname: Linux-3.14.14-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6400+-with-gentoo-2.2
KiB Mem:     8182072 total,   5075096 free
KiB Swap:   18434552 total,  18434552 free
Timestamp of tree: Sat, 23 Aug 2014 16:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.7, 3.2.5-r6, 3.3.5-r1
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.4.7, 4.5.4, 4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo fedora x-portage
Installed sets: @system
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -mtune=athlon64 -pipe -fstack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=athlon64 -mtune=athlon64 -pipe -fstack-protector"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/gentoo"
LANG="cs_CZ.UTF-8"
LC_ALL="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4 -l2.0"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/fedora /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X X509 a52 aac aalib acl acpi additions afterimage aio alsa amd64 amr amrnb amrwb apache2 apng artswrappersuid authfile auto-hinter bash-completion berkdb blender-game bluetooth branding bzip2 cairo ccache cdda cddb cdio cdr cdrom cdsound cgi chroot clamav clamd clang cli cmdsubmenu consolekit cracklib crypt cscope cuda cups cxx dbus declarative dedicated device-mapper dia directfb doc down-root dri dts dv dvb dvd dvdnav dvdr dynload emboss emerald enca encode exif extensions extra fam fat fbcon ffmpeg fftw firefox flac flash fontconfig fortran freetts ftp fts3 fuse g3dvl gallium games gbm gd gdbm gdu gif glitz glut gmp gnome gpm graphics gstreamer gtk harfbuzz hddtemp headless hpn humanities iconv icq ident iptv ipv6 irc jabber jadetex jamu java javascript joystick jpeg kdrive kerberos kpathsea laptop lcms ldap libcaca libnotify libsamplerate lirc lm_sensors logrotate logwatch lzo mad mainmenuhooks math mbrola md5sum mikmod minizip mmx mmxext mng mod modules mouse mozdevelop mp2 mp3 mp4 mpeg mplayer msn multilib multiuser music mysql nas ncurses nls nptl nsplugin ntfs ntfsprogs nvidia nvram ogg opencl opengl openmp pam pango pcre pda pdf php pixbuf png policykit ppds pstricks publishers python qt3support qt4 rar rdesktop readline rss rtc rtsp samba sasl savedconfig science screen sdl seamonkey sensord session setup setup-plugin sip sipim slang smime sound sounds sox spell srt sse sse2 sse3 ssl startup-notification stream submenu subtitles subversion suid svg sysfs syslog tcpd tex4ht theora threads threadsafe tiff timercmd timerinfo tk truetype ttxtsubs udev udisks unicode unsupported upnp upower usb uvm v4l2 vcd vda vdpau vdr vim-syntax vim-with-x vlc vnc volctrl vorbis wav wifi wmf wxwidgets wxwindows x264 xcb xcomposite xetex xft xine xinerama xml xosd xplanet xpm xscreensaver xv xvid xvmc zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="cs en" LIRC_DEVICES="devinput" NETBEANS_MODULES="cnd dlight enterprise ergonomics groovy identity mobility php profiler ruby apisupport harness ide java nb websvccommon" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Yarda 2014-08-25 20:22:57 UTC
Created attachment 383578 [details]
build-log.txt.bz2
Comment 2 Marius Brehler 2014-08-29 16:12:01 UTC
The problem is that sm_10 isn't only deprecated, it is unsupported [1].
 upport for sm_11, sm_12 and sm_13 is deprecated, but not yet removed (only marked for removal):
"Support for these architectures will be removed in the next major version of the CUDA Toolkit and Driver. Note that support for the sm_10 architecture has already been removed from the CUDA Toolkit." [2]

[1] http://docs.nvidia.com/cuda/cuda-toolkit-release-notes/#unsupported-features
[2] http://docs.nvidia.com/cuda/cuda-toolkit-release-notes/#deprecated-features
Comment 3 Justin Lecher gentoo-dev 2014-09-19 09:15:33 UTC
Either drop all gpu arch specific flags from the buildsystem (and leave it to the user) or build for all arches.
Comment 4 Rick Farina (Zero_Chaos) gentoo-dev 2014-10-09 16:25:08 UTC
(In reply to Justin Lecher from comment #3)
> Either drop all gpu arch specific flags from the buildsystem (and leave it
> to the user) or build for all arches.

Any and all help you are able to provide here would be greatly appreciated. I would like to build for all supported arches.  Feel free to go as far as commiting a new revision if you are comfortable with your changes, or post a diff here for discussion.
Comment 5 Marius Brehler 2014-11-30 14:30:24 UTC
Seems to be fixed as Justin Lecher dropped the gpu specific flags:

17 Sep 2014; Justin Lecher <jlec@gentoo.org> johntheripper-1.7.9-r9.ebuild:
Drop gpu specific compiler flags


Compiles for my GTX 550 with sm_20 which is correct.